<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>eregi_replace</title>
<link rel="stylesheet" type="text/css" href="../../src/self.css">
<meta name="description"    content="Ersetzt eine Zeichenkette durch einen Ersatz-Ausdruck">
<meta name="keywords"       content="SELFPHP, PHP, Regul&auml;re Ausdr&uuml;cke (POSIX), eregi_replace">
<meta name="author"         content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
<meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Date"        content="2001-08-21T12:18+01:00">
<meta name="DC.Identifier"  content="http://www.selfphp3.de/funktionsreferenz/regulaere_ausdruecke_posix/eregi_replace.html">
<meta name="DC.Language"    content="de">
<meta name="DC.Rights"      content="../../editorial/index.html">
<meta name="SELF.Firstdate" content="2001-08-21T12:18+01:00">
<meta name="SELF.Version"   content="1">
<meta name="SELF.Pagetype"  content="Information">
<meta name="SELF.Path"      content="SELFPHP == ../../index.php // Funktionsreferenz == ../index.php // Regul&auml;re Ausdr&uuml;cke (POSIX) == index.html">
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>Regul&auml;re Ausdr&uuml;cke (POSIX)</b></a></td>
</tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#EEEEEE" class="doc" width="110"><img src="../../src/logo.gif" width="106" height="109" border="0" alt="SEL.html"></td>
    <td bgcolor="#EEEEEE" class="doc" valign="bottom" width="100%"> 
      <h2>eregi_replace</h2>
<tr>
<td bgcolor="#EEEEEE" class="doc" valign="top" align="center">
<img src="../../src/dokx.gif" width="30" height="20" vspace="6" border="0" alt="Informationsseite">
</td>
<td bgcolor="#FFFFFF" valign="top" nowrap>
<p>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#befehl"><b>Befehl</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#version"><b>Version</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beschreibung"><b>Beschreibung</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beispiel"><b>Beispiel</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#ausgabe"><b>Ausgabe</b></a><br>
</p>
</td>
</tr><tr><td colspan=2 bgcolor="#EEEEEE" class="doc"><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;</td></tr>
</table>



<h2 class="Sh2"><a class="an" name="befehl">Befehl</a></h2>



<table width="100%" cellpadding=10><tr>
    <td class="xmpcode" bgcolor="#E4EEFF">string <b>eregi_replace</b>(string Suchmuster, 
      string Ersatz, string Zeichenkette)</td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="version">Version</a></h2>

<table width="100%" cellpadding=10 height="32">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="20"> 
      <p>PHP 3, PHP 4 &gt;= 4.0b1</p>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beschreibung">Beschreibung</a></h2>

<table width="100%" cellpadding=10 height="280">
  <tr> 
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>Mit eregi_replace() kann man in einer Zeichenkette (Zeichenkette) nach 
        einem<br>
        Suchmuster (Suchmuster) suchen und dieses durch einen bestimmten Ausdruck<br>
        (Ersatz) ersetzen lassen. Wird kein Suchtreffer gefunden, wird der String 
        ohne<br>
        &Auml;nderungen zur&uuml;ckgegeben. Dabei unterscheidet die Funktion nicht 
        zwischen<br>
        Gro&szlig;- und Kleinschreibung (siehe letztes Beispiel).<br>
        Wenn Sie f&uuml;r Ersatz eine Zahl (123.....) nutzen wollen, sollten Sie 
        diese in<br>
        einfache oder doppelte Hochkommas setzen, da die Funktion ereg_replace() 
        die<br>
        Zahl sonst als Ordinalwert eines Zeichens interpretiert (siehe Beispiele).</p>
      <p></p>
      <p></p>
      <p>Siehe auch:</p>
      <ul>
        <li><a href="ereg.html">ereg()</a></li>
        <li><a href="eregi.html">eregi()</a></li>
        <li><a href="ereg_replace.html">ereg_replace()</a></li>
      </ul>
      </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beispiel">Beispiel</a></h2>

<table width="100%" cellpadding=10 height="66">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF"> 
      <pre>&lt;?PHP<br>$var = &quot;http://www.selfphp3.de&quot;;<br>echo $var; <br>echo &quot;&lt;br&gt;&quot;;<br>$var = eregi_replace (&quot;(http://)(www.)(.*)(.de)&quot;,&quot;\\1\\2 selfphp4\\4&quot;,$var); <br>echo $var; <br>echo &quot;&lt;br&gt;&lt;br&gt;&quot;;</pre>
      <pre>$var_1 = &quot;Dies ist eine weitere M&ouml;glichkeit&quot;;
echo $var_1; 
echo &quot;&lt;br&gt;&quot;;
$var_1 = eregi_replace(&quot;ist&quot;,&quot;war&quot;,$var_1); 
echo $var_1; 
echo &quot;&lt;br&gt;&lt;br&gt;&quot;;</pre>
      <pre>echo &quot;&lt;b&gt;Folgender Code erzielt nicht das gew&uuml;nschte Ergebnis:&lt;/b&gt;&quot;;
echo &quot;&lt;br&gt;&quot;;
$menge = 2;
$str = &quot;Ich h&auml;tte gerne ein Eis mit zwei Kugeln&quot;;
echo $str; 
echo &quot;&lt;br&gt;&quot;;
$str = eregi_replace(&quot;zwei&quot;, $menge, $str);
echo $str; 
echo &quot;&lt;br&gt;&lt;br&gt;&quot;;</pre>
      <pre>echo &quot;&lt;b&gt;Folgender Code erzielt das gew&uuml;nschte Ergebnis:&lt;/b&gt;&quot;;
echo &quot;&lt;br&gt;&quot;;
$menge = &quot;2&quot;;
$str = &quot;Ich h&auml;tte gerne ein Eis mit zwei Kugeln&quot;;
echo $str; 
echo &quot;&lt;br&gt;&quot;;
$str = eregi_replace(&quot;zwei&quot;, $menge, $str);
echo $str; 
echo &quot;&lt;br&gt;&lt;br&gt;&quot;;
$str = &quot;ICH BIN GROSS&quot;;
echo $str; 
echo &quot;&lt;br&gt;&quot;;
$str = eregi_replace(&quot;bin&quot;, &quot;WAR&quot;, $str);
echo $str;
?&gt;</pre>
      </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>


<h2 class="Sh2"><a class="an" name="ausgabe">Ausgabe</a></h2>

<table width="100%" cellpadding=10 height="45">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>http://www.selfphp3.de<br>
        http://www.selfphp4.de</p>
      <p>Dies ist eine weitere M&ouml;glichkeit<br>
        Dies war eine weitere M&ouml;glichkeit</p>
      <p><b>Folgender Code erzielt nicht das erw&uuml;nschte Ergebnis:</b><br>
        Ich h&auml;tte gerne ein Eis mit zwei Kugeln<br>
        Ich h&auml;tte gerne ein Eis mit Kugeln</p>
      <p><b>Folgender Code erzielt das gew&uuml;nschte Ergebnis:</b><br>
        Ich h&auml;tte gerne ein Eis mit zwei Kugeln<br>
        Ich h&auml;tte gerne ein Eis mit 2 Kugeln</p>
      <p>ICH BIN GROSS<br>
        ICH WAR GROSS</p>
      <p></p>
    </td>
  </tr></table>


<p>&nbsp;</p>


<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a>
</td></tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">weiter:<a href="split.html"><img src="../../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
    <td bgcolor="#FFFFFF"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="split.html"><b>split</b></a> </td>
  </tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">zur&uuml;ck:<a href="eregi.html"><img src="../../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
    <td bgcolor="#FFFFFF" width="100%"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="eregi.html"><b>eregi</b></a> </td>
</tr>
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">&#160;</td></tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="bottom"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>Regul&auml;re Ausdr&uuml;cke (POSIX)</b></a></td>
</tr>
</table>

<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</A> <img src="../../src/mail.gif" width="15" height="10" border="0" alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir Enseleit, mail@selfphp.info</a></p>



</body>
</html>